#[derive(Debug)]
pub struct GlobalSettings<'s> {
    #[allow(dead_code)]
    placeholder: Option<&'s str>,
}

impl<'s> GlobalSettings<'s> {
    pub fn new() -> Self {
        GlobalSettings { placeholder: None }
    }
}

impl<'s> Default for GlobalSettings<'s> {
    fn default() -> Self {
        GlobalSettings::new()
    }
}
